%ifnos darwin
%define __defattr       %defattr(-,root,root)
%else
%define __defattr       %defattr(-,root,wheel)
%endif

%define texmf		%{_datadir}/texmf
%define build_texmf	$RPM_BUILD_ROOT%{texmf}
%ifnos darwin
%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%else
%define exec_texhash	PATH=$PATH:%{_bindir} %{_bindir}/texhash
%endif

Summary: dvipdfmx is a DVI (TeX) to PDF translator
Summary(ja): DVI  PDF Ѵ
Name: dvipdfmx
Version: 20050831
Release: 1a
Source0: http://project.ktug.or.kr/dvipdfmx/snapshot/%{name}-%{version}.tar.gz
Source1: dvipdfmx.cfg.vine
Source2: cid-x.map.vine
URL: http://project.ktug.or.kr/dvipdfmx/
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
%ifnos darwin
BuildRequires: tetex >= 2.0, openssl-devel, ghostscript >= 7.0
Requires: tetex >= 2.0, ghostscript >= 7.0
%else
BuildRequires: tetex >= 2.0, ghostscript >= 7.0
Requires: tetex >= 2.0, ghostscript >= 7.0
%endif
Obsoletes: dvipdfm
Autoreq: 0
%ifnos darwin
PreReq: sh-utils
Vendor: Project Vine
Distribution: Vine Linux
%endif

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended
version of the dvipdfm, a DVI to PDF translator developed by Mark
A. Wicks. The primary goal of this project is to support multi-byte
character encodings and large character sets for East Asian languages
by CID-keyed font technology. The secondary goal is to support as many
features as pdfTeX developed by Han The Thanh. This project is a
combined work of the dvipdfm-jpn project by Shunsaku Hirata and its
modified one, dvipdfm-kor, by Jin-Hwan Cho.

%description -l ja
  dvidpfmxʵ dvipdfm-cjk˥ץȤϡMark A. Wicks ˤ DVI 
 PDF ؤΥСǤ dvipdfm γĥСȯޤ
  ΥץȤɸ CID եȤˤä쥢Υ
Хʸ󥳡ɤ¿ʸåȤȤ褦ˤ뤳ȤǤ
ɸ Han The Thanh ˤ pdfTeX Ʊ餤εǽ
Ȥ褦ˤ뤳ȤǤ
  ΥץȤϡʿĤ dvipdfm-jpn ȡС 
Jin-Hwan Cho  dvipdfm-kor ȤζƱȤǤ


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%ifnos darwin
cp -a %{SOURCE1} data/config/dvipdfmx.cfg
cp -a %{SOURCE2} data/config/cid-x.map
%else
cp -RPp %{SOURCE1} data/config/dvipdfmx.cfg
cp -RPp %{SOURCE2} data/config/cid-x.map
%endif

%build
CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's;-O[0-9]* ; ;'` \
./configure --prefix=%{_prefix} --datadir=%{_datadir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} datadir=$RPM_BUILD_ROOT%{_datadir} mandir=$RPM_BUILD_ROOT%{_mandir} install-strip
gsvers=`gs -version | head -1 | sed -e 's;.* Ghostscript \([0-9]*\.[0-9]*\) .*;\1;'`
ln -s %{_prefix}/share/ghostscript/${gsvers}/Resource/CMap/* %{build_texmf}/dvipdfm/CMap

%post
%{exec_texhash}
exit 0

%postun
if [ "$1" = 0 ]; then
    %{exec_texhash}
fi
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%{_bindir}/dvipdfmx
%dir %{texmf}/dvipdfm
%dir %{texmf}/dvipdfm/config
%config %{texmf}/dvipdfm/config/dvipdfmx.cfg
%config %{texmf}/dvipdfm/config/glyphlist.txt
%{texmf}/dvipdfm/config/cid-x.map
%{texmf}/dvipdfm/CMap
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%changelog
* Sun Oct 16 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 20050831-1a
- 1st build on MacOS X10.4

* Wed Jan 07 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 20031116-1a
- 1st build on MacOS X10.3

* Tue Jan 06 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st build on MacOS X10.3

* Tue Apr 29 2003 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st build on MacOS X10.2

* Wed Apr 23 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20030313-0vl2
- removed adobe-cmaps-200204.tar.gz instead of BuildRequires: ghostscript >= 7.0

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20030313-0vl1
- update dvipdfmx-20030313.
- build with tetex-2.0.2 for VineSeed.
- removed useless dvipdfmx-20021230.tate.patch.

* Tue Feb 25 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20021230-0t1
- dvipdfmx.
- build with tetex-2.0.1.
- added dvipdfmx-20021230.tate.patch.

* Mon Aug 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20020605-0vl1
- update dvipdfm-cjk-20020605

* Fri Aug  9 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 20020531-0vl1
- dvipdfm-cjk

* Mon Jun 17 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl8
- rebuild against dvipdfm-2002-03-29.zip

* Wed Oct 10 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.13.2c-0vl7
- simply increased release number (VinePlus's package had the same release!)

* Wed Sep 19 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl6
- rebuild against dvipdfm.zip (2001-09-14)

* Fri Sep 14 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.2c-0vl5
- rebuild against dvipdfm.zip (2001-09-09)
- update out2uni.c (2001-09-11, for gcc-3.0/glibc-2.2)
- removed require: pxfonts, txfonts

* Thu Aug 02 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl4
- pTeX to tetex

* Wed Jul 04 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl3
- added require: pxfonts, txfonts

* Tue Jul 03 2001 Satoshi MACHINO <machino@vinelinux.org> 0.13.2c-0vl2
- rebuild for VineSeed
- changed mandir /usr/share/man 
- used rpmmacros

* Sat Jun 30 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-0vl1
- update 0.13.2c, apply jpatch-p0d patch.

* Wed Jun 27 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-5
- apply bgcolor, colorname, gcc30 patch.

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply jpatch-p0c patch.

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
